#include <bits/stdc++.h>
using namespace std;
int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(0); cout.tie(0);
	int a, b, k[100000], i, br=0, i1, i2;
	cin >> a >> b;
	for (i = 0; i < a; i++) cin >> k[i];
	if (b == 0) {
		for (i = 0; i < a; i++) br += k[i];
		cout << br;
	}
	else {
		for (i = 0; i < a; i++) {
			for (i1 = 0; i1 < a; i1++) {
				for (i2 = i; i2 <= i1; i2++) {
					br += k[i2];
				}
			}
		}
		cout << br;
	}
	return 0;
}